package com.compdfkit.pdfviewer.fragments;

import android.os.Bundle;

import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.widget.SeekBar;
import android.widget.Spinner;
import android.view.ViewGroup;
import android.widget.CheckBox;
import android.widget.TextView;

import com.compdfkit.pdfviewer.R;
import com.google.android.material.textfield.TextInputEditText;

public class WatermarkConsoleFragment extends Fragment {

    private View colorPicker;
    private View imagePicker;

    private SeekBar opacitySlider;
    private SeekBar sizeSlider;

    private TextView opacityText;
    private TextView sizeText;

    private Spinner rangeSpinner;

    private CheckBox fullScreenCheck;

    private TextInputEditText hSpaceEdit;
    private TextInputEditText vSpaceEdit;

    private static final String ARG_PARAM1 = "param1";
    private static final String ARG_PARAM2 = "param2";

    private String mParam1;
    private String mParam2;

    public WatermarkConsoleFragment() {
        // Required empty public constructor
    }

    public static WatermarkConsoleFragment newInstance(String param1, String param2) {
        WatermarkConsoleFragment fragment = new WatermarkConsoleFragment();
        Bundle args = new Bundle();
        args.putString(ARG_PARAM1, param1);
        args.putString(ARG_PARAM2, param2);
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if (getArguments() != null) {
            mParam1 = getArguments().getString(ARG_PARAM1);
            mParam2 = getArguments().getString(ARG_PARAM2);
        }
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View returnView = inflater.inflate(R.layout.fragment_watermark_console, container, false);
        InitViews(returnView);
        return returnView;
    }

    private void InitViews(View returnView) {
        colorPicker = returnView.findViewById(R.id.color_picker);
        imagePicker = returnView.findViewById(R.id.image_picker);

        opacitySlider = returnView.findViewById(R.id.opacity_slider);
        sizeSlider = returnView.findViewById(R.id.size_slider);

        opacityText = returnView.findViewById(R.id.opacity_text);
        sizeText = returnView.findViewById(R.id.size_text);

        rangeSpinner = returnView.findViewById(R.id.page_range_spinner);

        fullScreenCheck = returnView.findViewById(R.id.full_screen_checkbox);

        hSpaceEdit = returnView.findViewById(R.id.horizontal_space);
        vSpaceEdit = returnView.findViewById(R.id.vertical_space);
    }

    public void ChangePicker(int mode) {
        colorPicker.setVisibility(mode == 0 ? View.VISIBLE : View.INVISIBLE);
        imagePicker.setVisibility(mode == 0 ? View.INVISIBLE : View.VISIBLE);
    }
}
